Skip to main content
GET
/
ossm
List OSSM devices
curl --request GET \
  --url https://dashboard.researchanddesire.com/api/v1/ossm \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "data": [
      {
        "id": 1,
        "bubbleId": "ossm-001",
        "macAddress": "AA:11:BB:22:CC:33",
        "chip": "ESP32-S3",
        "ownerId": 42,
        "pairingCode": "ABCD1234",
        "pairingExpires": "2026-02-19T12:00:00Z",
        "lastVisited": "2026-02-18T12:00:00Z",
        "OSSMFirmwareId": 5
      }
    ],
    "pagination": {
      "limit": 50,
      "offset": 0
    }
  }
}

Authorizations

Authorization
string
header
required

API tokens can be created in the Dashboard settings. Requires an Ultra subscription.

Query Parameters

limit
integer
default:50

Number of records to return (default 50, max 100)

Required range: 1 <= x <= 100
Example:

50

offset
integer
default:0

Number of records to skip (default 0)

Required range: x >= 0
Example:

0

Response

List of OSSM devices

ok
boolean
required
data
object
required